Download it now!
Bug 86536 - 4.4.0.0.beta1: couldn't mouse click on TextBox for edit when selection on shape
Summary: 4.4.0.0.beta1: couldn't mouse click on TextBox for edit when selection on shape
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox
  Show dependency treegraph
 
Reported: 2014-11-21 21:24 UTC by Maxim Britov
Modified: 2019-12-11 03:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2014-11-21 21:24:05 UTC
Create new shape.
Add TextBox into that shape.
Try to click created TextBox for edit. Till shape selected you can't do it.
Click outside of shape for unselect shape and click on TextBox. Now you may edit TextBox's content.

Continue example:
Enter text, insert table into TextBox.
Click on shape for select one. Shape selected. You can't edit TextBox by clicking on it, again. For edit you should drop selection from shape and then click on TextBox, again.

ps. Sorry for my English
Comment 1 A (Andy) 2014-11-21 21:45:23 UTC
For me not reproducible with LO 4.4.0.0.beta1.
Even if the shape is selected I can add a text to the shape.  To edit/add it one has to make a double mouse click.

Steps Done:
1. Open WRITER
2. Create a new shape (e.g. a rectangle): select the shape icon in the toolbar at the top and then select a shape from the toolbar at the bottom
3. Draw the shape
4. While the shape is still selected, select the TEXT BOX shape from the toolbar at the bottom and click into the shape (with double mouse click)
5. Type any text
Comment 2 Maxim Britov 2014-11-21 21:50:30 UTC
(In reply to A (Andy) from comment #1)
> For me not reproducible with LO 4.4.0.0.beta1.
> Even if the shape is selected I can add a text to the shape.  To edit/add it
> one has to make a double mouse click.
> 
> 3. Draw the shape
> 4. While the shape is still selected, select the TEXT BOX shape from the
> toolbar at the bottom and click into the shape (with double mouse click)

Try step 4 with:
 Right-click on shape, then select in context menu "TextBox". It new feature for 4.4. Then try edit it by clicking
Comment 3 A (Andy) 2014-11-21 21:59:15 UTC
Thanks for your very fast reply.

Reproducible with LO 4.4.0.0.beta1

Steps Done:
1. Open WRITER
2. Create a new shape (e.g. a rectangle): select the shape icon in the toolbar at the top and then select a shape from the toolbar at the bottom
3. Draw the shape
4. While the shape is still selected, make a right mouse click and go to ADD TEXT BOX

Result: 
To add a text to this text box you need first to deselect the shape and then to click on the text box.
Comment 4 Maxim Britov 2016-01-29 12:37:14 UTC
Same on 4.4.7.2 / 5.0.5.1 / 5.1.0.1
Comment 5 QA Administrators 2017-12-08 08:09:08 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-11 03:37:16 UTC
Dear Maxim Britov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug